# $Revision: 1.28 $, $Date: 2002/08/15 17:51:58 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Statistics
%define		pnam	ROC
Summary:	Receiver-operator-characteristic (ROC) curves with nonparametric confidence bounds
Summary(pl):	Krzywe ROC z nieparametrycznymi przedziaami ufnoci
Name:		perl-Statistics-ROC
Version:	0.02
Release:	10
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-GIFgraph
BuildRequires:	perl-Tk
BuildRequires:	perl-Tk-FileDialog
BuildRequires:	perl-Tk-WaitBox
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program determines the ROC curve and its nonparametric confidence
bounds for data categorized into two groups.  A ROC curve shows the
relationship of probability of false alarm (x-axis) to probability of
detection (y-axis) for a certain test.  Expressed in medical terms:
the probability of a positive test, given no disease to the
probability of a positive test, given disease.  The ROC curve may be
used to determine an optimal cutoff point for the test.

%description -l pl
Ten program okrela krzyw ROC i jej nieparametryczne przedziay
ufnoci dla danych podzielonych na dwie grupy. Krzywa ROC pokazuje
zaleno prawdopodobiestwa faszywego alarmu (o x) od
prawdopodobiestwa wykrycia (o y) dla konkretnego testu (w
terminologii medycznej: prawdopodobiestwo pozytywnego testu przy
braku choroby od prawdopodobiestwa pozytywnego testu przy chorobie).
Krzywa ROC moe by uywana do okrelenia optymalnego punktu
granicznego dla testu.

%prep
%setup -q -c -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Statistics/ROC.pm
%{perl_sitelib}/Statistics/roc_ui.pl
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Statistics-ROC.spec,v $
Revision 1.28  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.27  2002/08/11 19:36:49  radek
- release up

Revision 1.26  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.25  2002/08/11 13:53:40  radek
- conditional tests

Revision 1.24  2002/07/27 20:57:34  kloczek
- release 8.

Revision 1.23  2002/07/22 21:41:52  ankry
- translations, cleaning

Revision 1.22  2002/07/21 19:09:51  marcus
- rel.7., use new %%doC-

Revision 1.21  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:20:02  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:34:48  depesz
adapterized

Revision 1.15  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 23:56:31  baggins
- removed obsoleted patch
- fixed build dir

Revision 1.12  2001/04/17 12:15:44  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/23 20:51:17  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/09/05 00:59:28  kloczek
- updated to 0.02.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  1999/11/13 20:48:39  pius
- added more BuildRequires rules

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
